> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ordergroove.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ordergroove.ferndocs.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/one_time_incentives/

Returns a list all of One Time Incentives attached to subscriptions for a merchant, or a list of one incentives for an individual customer.

Reference: https://ordergroove.ferndocs.com/reference/rest-rpc-api/one-time-incentives/otd-list

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Query parameters

- `order` (string, optional) — Order Public ID
- `customer` (string, optional) — Merchant Customer ID
- `external_code` (string, optional) — External code on the OTD
- `item` (string, optional) — Item Public ID
- `created` (date, optional) — One Time Incentives whose created date matches exactly (yyyy-mm-dd)
- `created_start` (date, optional) — One Time Incentives whose created datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
- `created_end` (date, optional) — One Time Incentives whose created datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
- `last_updated` (date, optional) — One Time Incentives whose last updated date matches exactly (yyyy-mm-dd)
- `last_updated_start` (date, optional) — One Time Incentives whose last updated datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
- `last_updated_end` (date, optional) — One Time Incentives whose last updated datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
- `applied_at` (date, optional) — One Time Incentives applied on the specified date (yyyy-mm-dd)
- `applied_at_start` (date, optional) — One Time Incentives applied after or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
- `applied_at_end` (date, optional) — One Time Incentives applied before or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
- `include_item_level` (boolean, optional) — If the list is filtered by order, include also the One Time Incentives for all the items linked to this order

## Response

### 200

200

## Errors

### 404 Not Found Error

404

- `detail` (string, optional)

## Examples

**Response**

```json
[
  {
    "public_id": "8637c3fe9b7011eaa2c1bc764e107990",
    "external_code": "awesome_discount",
    "description": "One-time Incentive",
    "merchant": "ac4f7938383a11e89ecbbc764e1107f2",
    "customer": "00026001",
    "order": "c4e05d04ccc411e8ada3bc764e101db1",
    "created": "2020-05-21 09:36:57",
    "last_updated": "2020-05-21 09:36:57",
    "applied_at": "2020-05-22 09:00:15",
    "incentive": {
      "type": "Discount",
      "public_id": "c34a8c03eae641d0ab7015bedec6fbd0",
      "discount_type": "Discount Percent",
      "target": "item",
      "field": "total_price",
      "name": "awesome discount",
      "value": "10.00"
    }
  },
  {
    "public_id": "9748d4gf0c8122fbb3d2bc764e207001",
    "external_code": "other_awesome_discount",
    "description": "One-time Incentive",
    "merchant": "ac4f7938383a11e89ecbbc764e1107f2",
    "customer": 23208,
    "order": "c2389472f03450287ada3bc764e101db1",
    "created": "2020-06-13 14:16:57",
    "last_updated": "2020-06-21 09:36:57",
    "incentive": {
      "type": "Discount",
      "public_id": "32v37239087e641d0ab7015bedec6fbd0",
      "discount_type": "Flat Amount",
      "target": "item",
      "field": "total_price",
      "name": "other awesome discount",
      "value": "5.00"
    }
  }
]
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/one_time_incentives/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/one_time_incentives/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/one_time_incentives/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/one_time_incentives/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/one_time_incentives/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/one_time_incentives/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/one_time_incentives/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/one_time_incentives/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```